XWD(1)

NOM
xwd – Enregistrer une fenêtre X sous forme d’image

SYNOPSIS
xwd [-debug] [-help] [-nobdrs] [-out fichier] [-xy] [-frame] [-add valeur] [-root | -id id_fenêtre | -name nom_fenêtre ] [-icmap] [-screen] [-silent] [-display hôte:écran] [-version]

DESCRIPTION

xwd est un utilitaire d’enregistrement de fenêtre du système de fenêtrage X. xwd permet aux utilisateurs d’X d’enregistrer des images de fenêtre dans un fichier spécialement formaté. Ce fichier peut alors être lu par d’autres utilitaires d’X pour être réaffiché, imprimé, édité, formaté, archivé, traité… La fenêtre cible est sélectionnée par un clic du pointeur sur cette dernière. Une sonnerie est émise une fois au début de la copie et deux fois lorsque la copie est terminée.

OPTIONS

-debug
    Activer le mode de débogage.

-d, -display hôte:écran
    Cet argument permet d’indiquer le serveur auquel se connecter (voir X(7)).

-help
    Afficher un bref résumé de la syntaxe des commandes.

-nobdrs
    Cet argument indique que la copie de fenêtre ne doit pas inclure les pixels composant la bordure de la fenêtre X. C’est utile dans le cas où le contenu est inclus dans un document sous forme d’illustration.

-out fichier
    Cet argument permet à l’utilisateur de préciser explicitement le fichier de sortie dans la ligne de commande. Par défaut, la sortie est faite sur la sortie standard.

-xy Cette option n’est valable que pour un écran en couleurs. L’option de copie choisit le format « XY » au lieu du format par défaut, « Z ».

-add valeur
    Cette option indique une valeur signée à ajouter à chaque pixel.

-frame
    Cette option indique que le cadre du gestionnaire de fenêtre doit être inclus lors de la sélection manuelle de fenêtre.

-root
    Cette option indique que la fenêtre sélectionnée pour la copie est la fenêtre racine sans que l’utilisateur ait besoin de choisir une fenêtre avec le pointeur.

-id id_fenêtre
    Cette option indique que la fenêtre sélectionnée pour la copie est la fenêtre avec l’identifiant de ressource indiqué sans que l’utilisateur ait besoin de choisir une fenêtre avec le pointeur.

-name nom_fenêtre
    Cette option indique que la fenêtre sélectionnée pour la copie est la fenêtre avec la propriété id_fenêtre indiquée sans que l’utilisateur ait besoin de choisir une fenêtre avec le pointeur.

-icmap
    Normalement la palette de couleurs de la fenêtre sélectionnée est utilisée pour obtenir les valeurs RGB. Cette option force l’utilisation de la première palette de l’écran installée.

-screen
    Cette option indique que la requête GetImage utilisée pour obtenir l’image doit être faite pour la fenêtre racine plutôt que directement pour la fenêtre indiquée. De cette façon, des parties des autres fenêtres qui chevauchent la fenêtre indiquée peuvent être capturées et, plus important, des menus ou d’autres fenêtres surgissantes qui sont des fenêtres indépendantes, mais qui apparaissent au-dessus de la fenêtre indiquée, peuvent aussi l’être.

-silent
    Opérer silencieusement, c’est-à-dire n’émettre aucune sonnerie avant et après la copie de fenêtre.

-version
    Afficher les informations de version et quitter.

ENVIRONNEMENT

DISPLAY
    Pour l’obtention de l’hôte et du « display » par défaut.

FICHIERS

XWDFile.h
    Fichier de définition du format de fichier de copie de fenêtre X.

VOIR AUSSI
xwud(1), X(7)

AUTEURS
Tony Della Fera, Digital Equipment Corp., MIT Project Athena
William F. Wyatt, Smithsonian Astrophysical Observatory

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.